## wxHtmlLinkEvent

This event class is used for the events generated by wxHtmlWindow.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/html/htmlwin.h>

Event handling

To process input from a wxHtmlLinkEvent, use one of these event handler macros to direct input to member function that take a wxHtmlLinkEvent argument:

EVT_HTML_LINK_CLICKED(id, func) | User clicked on an hyperlink.

Members

wxHtmlLinkEvent::wxHtmlLinkEvent
wxHtmlLinkEvent::GetLinkInfo

### wxHtmlLinkEvent::wxHtmlLinkEvent

wxHyperlinkEvent(int id, const wxHtmlLinkInfo & linkinfo)

The constructor is not normally used by the user code.

### wxHtmlLinkEvent::GetLinkInfo

const wxHtmlLinkInfo GetLinkInfo() const

Returns the wxHtmlLinkInfo which contains info about the cell clicked and the hyperlink it contains.